Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.jobs.ee.mail
Class SendMailJob.MailInfo

    java.lang.Object
      org.quartz.jobs.ee.mail.SendMailJob.MailInfo

Enclosing class:
  SendMailJob

    protected static class SendMailJob.MailInfo

extends Object

Constructor Summary
`protected` | `SendMailJob.MailInfo()`

Method Summary
`String` | `getCc()`
`String` | `getContentType()`
`String` | `getFrom()`
`String` | `getMessage()`
`String` | `getReplyTo()`
`String` | `getSmtpHost()`
`String` | `getSubject()`
`String` | `getTo()`
`void` | `setCc(String cc)`
`void` | `setContentType(String contentType)`
`void` | `setFrom(String from)`
`void` | `setMessage(String message)`
`void` | `setReplyTo(String replyTo)`
`void` | `setSmtpHost(String smtpHost)`
`void` | `setSubject(String subject)`
`void` | `setTo(String to)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SendMailJob.MailInfo

    protected SendMailJob.MailInfo()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getCc

    public String getCc()

### setCc

    public void setCc(String cc)

### getContentType

    public String getContentType()

### setContentType

    public void setContentType(String contentType)

### getFrom

    public String getFrom()

### setFrom

    public void setFrom(String from)

### getMessage

    public String getMessage()

### setMessage

    public void setMessage(String message)

### getReplyTo

    public String getReplyTo()

### setReplyTo

    public void setReplyTo(String replyTo)

### getSmtpHost

    public String getSmtpHost()

### setSmtpHost

    public void setSmtpHost(String smtpHost)

### getSubject

    public String getSubject()

### setSubject

    public void setSubject(String subject)

### getTo

    public String getTo()

### setTo

    public void setTo(String to)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2012, Terracotta, Inc.